
QGIS Application - Feature request #13303

Saving changes in shape files when saving project or/and closing down QGIS

2015-09-01 12:51 AM - Hanne Krarup Nielsen

Status: Feedback

Priority: Low

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution: worksforme

Easy fix?: No Copied to github as #: 21361

Description

We have discovered, that when you close down QGIS, it automatically asks you, if you want to save the project you are working on. But it

does not save any changes you might have made in the shape files contained in the project. 

It would be nice, if you where asked both when you closed down projects and QGIS, if you would like to save changes in shapefiles too.

History

#1 - 2015-09-01 01:23 AM - Jürgen Fischer

- Tracker changed from Feature request to Bug report

- Crashes QGIS or corrupts data set to No

- Category deleted (Browser)

- Priority changed from Low to Severe/Regression

- Operating System deleted (QGIS Desktop)

- OS version deleted (2.8)

- Affected QGIS version set to 2.8.3

apparently a regression - it used to do that (BTW I didn't verify that it currently doesn't)

#2 - 2015-09-01 01:23 AM - Jürgen Fischer

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2015-10-05 03:34 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

- Resolution set to worksforme

- Priority changed from Severe/Regression to Low

Ok, sorry, misunderstood.  Back to feature request.

#4 - 2016-06-09 03:06 AM - Jürgen Fischer

- Crashes QGIS or corrupts data changed from Yes to No

- Tracker changed from Feature request to Bug report

#5 - 2016-06-09 03:06 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#6 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
#7 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#8 - 2018-10-23 09:57 PM - Harrissou Santanna

- Status changed from Open to Feedback

- Description updated

Afaics, it asks whether you'd like to save the changes in the layer either when closing the project or closing QGIS. I don't think there's a need to ask when

you are simply saving the project because you won't lose the layers and their changes.

Or am I missing anything in the request?
